#include "SceneOpenGL.h"


int main(int argc, char **argv)
{
    // Création de la sène

    SceneOpenGL scene("The Frame Buffer", 1600, 900);


    // Initialisation de la scène

    if(scene.initialiserFenetre() == false)
	return -1;

    if(scene.initGL() == false)
	return -1;


    // Boucle Principale

    scene.bouclePrincipale();

    // Affichage de l'erreur
    GLenum erreur = glGetError();
    if ( erreur != GL_NO_ERROR ) {
        std::cout << "Erreur de type " << erreur << "." << std::endl;
    }

    // Fin du programme

    return 0;
}
